
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>python 之禅 / 憋错料</title>

    <meta name="description" content="python 之禅 想要真正深入了解一门语言,需要用心去感受.下面是python之禅,python的设计哲学,对于编程很有指导意义.(翻译部分摘自网络,同时自己有一些更改) &gt;&gt;&gt; import this The Zen of Python, by Tim Peters Beautiful is better than ugly. Explicit is better than implicit. Simple is better than complex. Complex is better t ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">python 之禅</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<pre>想要真正深入了解一门语言，需要用心去感受。下面是python之禅，python的设计哲学，对于编程很有指导意义。（翻译部分摘自网络，同时自己有一些更改）

&gt;&gt;&gt; import this
The Zen of Python, by Tim Peters

Beautiful is better than ugly.
Explicit is better than implicit.
Simple is better than complex.
Complex is better than complicated.
Flat is better than nested.
Sparse is better than dense.
Readability counts.
Special cases aren‘t special enough to break the rules.
Although practicality beats purity.
Errors should never pass silently.
Unless explicitly silenced.
In the face of ambiguity, refuse the temptation to guess.
There should be one-- and preferably only one --obvious way to do it.
Although that way may not be obvious at first unless you‘re Dutch.
Now is better than never.
Although never is often better than *right* now.
If the implementation is hard to explain, it‘s a bad idea.
If the implementation is easy to explain, it may be a good idea.
Namespaces are one honking great idea -- let‘s do more of those!
</pre>
<p>优美胜于丑陋（Python 以编写优美的代码为目标）&nbsp;<br />明了胜于晦涩（优美的代码应当是明了的，命名规范，风格相似）&nbsp;<br />简洁胜于复杂（优美的代码应当是简洁的，不要有复杂的内部实现）&nbsp;<br />复杂胜于凌乱（如果复杂不可避免，那代码间也不能有难懂的关系，要保持接口简洁）&nbsp;<br />扁平胜于嵌套（优美的代码应当是扁平的，不能有太多的嵌套）&nbsp;<br />距离胜于拥挤（优美的代码有适当的间隔，不要奢望一行代码解决问题）&nbsp;<br />可读性很重要（优美的代码是可读的）&nbsp;<br />即便假借特例的实用性之名，也不可违背这些规则（这些规则至高无上）&nbsp;<br />不要包容所有错误，除非你确定需要这样做（精准地捕获异常，不写 except:pass 风格的代码）&nbsp;<br />当存在多种可能，不要尝试去猜测&nbsp;<br />而是尽量找一种，最好是唯一一种明显的解决方案（如果不确定，就用穷举法）&nbsp;<br />虽然这并不容易，除非你是Python 之父（这里的 Dutch 是指 Guido ）&nbsp;<br />做也许好过不做，但不假思索就动手还不如不做（动手之前要细思量）&nbsp;<br />如果你无法向人描述你的方案，那肯定不是一个好方案；反之亦然（方案测评标准）&nbsp;<br />命名空间是一种绝妙的理念，我们应当多加利用（倡导与号召）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 16:31:12 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>python 之禅的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02DNnn4.html" rel="bookmark">python之禅 --- import this</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&gt;&gt;&gt; import thisThe Zen of Python, by Tim Peters Beautiful is better than ugly.Explicit is better than implicit.Simple is better than complex.Complex is better than complicated.Flat is better than nested.Sparse is better than dense.Readability cou			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6nWzXM.html" rel="bookmark">（转）python之禅</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				凡是用过 Python的人,基本上都知道在交互式解释器中输入 import this 就会显示 Tim Peters 的 The Zen of Python,但它那偈语般的语句有点令人费解,所以我想分享一下我对它的体会,顺带给出我的翻译. The Zen of Python, by Tim Peters Beautiful is better than ugly. Explicit is better than implicit. Simple is better than complex. C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dKbPzM.html" rel="bookmark">Python之禅中的几句话--传说中的蛇宗总纲</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Simple is better than complex. 简洁胜于复杂. Now is better than never. Although never is often better than *right* now. 做也许好过不做,但不假思索就动手还不如不做. 放全文,来源已然不明,若有指明,必当感谢! The Zen of Python, by Tim Peters Beautiful is better than ugly. Explicit is better than imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP9LV60.html" rel="bookmark">Python之禅（原文、中文翻译、解释）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				The Zen of Python, by Tim Peters Beautiful is better than ugly. Explicit is better than implicit. Simple is better than complex. Complex is better than complicated. Flat is better than nested. Sparse is better than dense. Readability counts. Special			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDBXAk3.html" rel="bookmark">Python之禅，亦是人生之禅</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C:\Users\Rage&gt;python Python 3.6.3 (v3.6.3:2c5fed8, Oct 3 2017, 18:11:49) [MSC v.1900 64 bit (AMD64)] on win32 Type &quot;help&quot;, &quot;copyright&quot;, &quot;credits&quot; or &quot;license&quot; for more information. &gt;&gt;&gt; import this The Ze			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YZzLa3.html" rel="bookmark">25、Python之禅</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要求: 爬取网页你好,蜘蛛侠!中的Python之禅中英文版本,并且打印. 目的: 练习使用selenium爬取动态网页的信息. 练习selenium与BeautifulSoup的搭配使用. URL     https://localprod.pandateacher.com/python-manuscript/hello-spiderman/ 方法一: 用selenium 1 from selenium import webdriver 2 import time 3 4 driver = we			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38NAdnM.html" rel="bookmark">python：python之禅</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学python,今晚看了一个名叫&quot;python全栈之路系列&quot;博客的关于python的相关博客,其中开篇就说到了python的设计哲学:优雅,简洁,高效... 可以在编译器里面输入如下语句来查看python语言的设计哲学: 1 &gt;&gt;&gt; import this 2 The Zen of Python, by Tim Peters 3 4 Beautiful is better than ugly. 5 Explicit is better than implicit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ekALb4.html" rel="bookmark">Python之禅---1、什么是编程语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.编程与编程语言: Python是一门编程语言,首先需要搞清楚一下几点: 1.编程目的: #计算机的发明,是为了用机器取代/解放人力,而编程的目的则是将人类的思想流程按照某种能够被计算机识别的表达方式传递给计算机,从而达到让计算机能够像人脑/电脑一样自动执行的效果. 2.什么是编程语言: #上面提及的能够被计算机所识别的表达方式即编程语言,语言是沟通的介质,而编程语言是程序员与计算机沟通的介质.在编程的世界里,计算机更像是人的奴隶,人类编程的目的就命令奴隶去工作. 3.什么是编程:     #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZNVxm3.html" rel="bookmark">Python之禅---2、python介绍和应用场景介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,.python的由来 python的创始人为吉多·范罗苏姆(Guido van Rossum).1989年的圣诞节期间,Guido开始写能够解释Python语言语法的解释器.Python这个名字,来自Guido所挚爱的电视剧Monty Python's Flying Circus.他希望这个新的叫做Python的语言,能符合他的理想:创造一种C和shell之间,功能全面,易学易用,可拓展的语言. 2.应用领域 Python可以应用于众多领域,如:数据分析.组件集成.网络服务.图像处理.数值计			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qWApM.html" rel="bookmark" class="title">CSS3-新属性-属性选择器</a>
					<div>
						CSS3之前,对于每个HTML标签来说,属性均是固定的.但是CSS3扩展了属性选择器的用法,用户可自定义标签的属性.下面介绍CSS3中属性选择器的使用方式,这些属性仅支持IE7及以上版本. 标签的自定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mza2nO4.html" rel="bookmark" class="title">机器视觉基础</a>
					<div>
						WDR 与 HDR 相信很多朋友在购买手机或相机时,都有听过HDR和WDR这两个专业术语,那这两个仅有一字之差的词到底有什么联系和却别,今天就在这里和大家做一讨论和分享.(1)从作用和目的来讲:HDR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr7gB4.html" rel="bookmark" class="title">不同狀況下的 bq25896 register</a>
					<div>
						no charger時的 bq25896 register [bq25890 [email protected]] [0x0]=0x7f [0x1]=0x6 [0x2]=0x91 [0x3]=0x1a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8nrA3.html" rel="bookmark" class="title">Winsock 入门 判读主机字节序 示例</a>
					<div>
						1 #include &lt;stdio.h&gt; 2 3 union endian_u 4 { 5 /*最大成员的长度就是联合成员的长度.联合可以在定义时直接进行初始化,但这个初始化必须是联合第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxXwr0.html" rel="bookmark" class="title">Show Processlist</a>
					<div>
						SHOW PROCESSLIST显示哪些线程正在运行.您也可以使用mysqladmin processlist语句得到此信息.如果您有SUPER权限,您可以看到所有线程.否则,您只能看到您自己的线程( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYpJLM.html" rel="bookmark" class="title">01&period;Mongodb简介</a>
					<div>
						Mongodb是一款强大.灵活.且易于扩展的通用型数据库. 设计特点: 1.易于使用 Mongodb是一个面向文档(document-oriented)的数据库,而不是关系型数据库. 2.易于扩展 M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZA97m0.html" rel="bookmark" class="title">java学习之数组&lpar;一&rpar;</a>
					<div>
						学编程吧java学习之数组发布了,欢迎大家通过xuebiancheng8.com来访问. 下面来分析下java中的数组. 什么是数组呢,为什么要用数组呢,加入现在需要统计一个班的考试成绩,这个班有30 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j7YG73.html" rel="bookmark" class="title">poj3080Blue Jeans</a>
					<div>
						题目链接: 啊哈哈,点我点我 题意是: 给n个字符串然后找出n个字符串里面最长的公共字串.. 这道题目最开始以为是dp,后来又以为是kmp,但是kmp貌似没看到过这么多字符串相匹配的,后来就搜题解,太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYW8vM.html" rel="bookmark" class="title">JAVA使用POI操作excel</a>
					<div>
						这里提一下,java操作excel的组件除了apache的poi,还有jexcelapi(jxl),其中poi组件的获取地址为poi.apache.org. poi组件中常用的类有HSSFworkbo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5ZeD0.html" rel="bookmark" class="title">mysql设置远程登录后连接不上</a>
					<div>
						参考:http://www.jb51.net/article/33813.htm http://www.jb51.net/article/58096.htm 默认情况下,MySQL只允许本地登录,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5zDQ3.html" rel="bookmark" class="title">Smarty模板技术&sol;引擎&mdash;&mdash;变量操作</a>
					<div>
						1,基本变量 $smarty-&gt;assign('data1',3); $smarty-&gt;assign('data2',3.45); $smarty-&gt;assign('data3',' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d9Paw3.html" rel="bookmark" class="title">基于Tornado自定制仿Django的Session以及Form组件</a>
					<div>
						一.session 1.Session本质是保存在服务器端的数据,可以看作是键值对. 用户第一次打开网站页面 - 生成一段随机字符串,作为value发给客户端浏览器,客户端带着字符串获取对应的sess ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02kppD3.html" rel="bookmark" class="title">个人作业 2</a>
					<div>
						第一部分 调研, 评测 (软件的bug,功能评测,黑箱测试, 第8章 用户调研, 12 章 软件的用户体验) 1.下载并使用,描述最简单直观的个人第一次上手体验. 这个软件适合各个年龄段的人学习,词库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZg7v3.html" rel="bookmark" class="title">垃圾回收机制优点和原理 char和中文的关系</a>
					<div>
						1.Java语言最显著的特点就是引入了垃圾回收机制,它使java程序员在编写程序时不再考虑内存管理的问题. 2.由于有这个垃圾回收机制,java中的对象不再有&quot;作用域&quot;的概念,只有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zOKGM.html" rel="bookmark" class="title">HTML特殊字符&mdash;核心编码</a>
					<div>
						HTML特殊字符编码 在分析HTML字节流或者源代码的时候需要对HTML特殊字符编码以及ASCII的知识有所了解才能避免跌入陷阱.一些所列举的都是HTML的一些规范和ASCII码的官方定义表.放到这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZqKB3.html" rel="bookmark" class="title">浅析LRU&lpar;K-V&rpar;缓存</a>
					<div>
						LRU(Least Recently Used)算法是缓存技术中的一种常见思想,顾名思义,最近最少使用,也就是说有两个维度来衡量,一个是时间(最近),一个频率(最少).如果需要按优先级来对缓存中的K- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqNbB3.html" rel="bookmark" class="title">mac配置git mergetool为p4merge（2013笔记整理）</a>
					<div>
						既有环境: 1)下载安装p4merge 2)安装git 下面是配置p4merge为git mergetool的步骤 1. /usr/local/bin下创建extMerge文件: ? 1 2 3 $  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXq8rV0.html" rel="bookmark" class="title">Building Apps for Windows Phone 8&period;1教程下载地址整理</a>
					<div>
						官方教程地址http://channel9.msdn.com/Series/Building-Apps-for-Windows-Phone-8-1http://media.ch9.ms/ch9/8db ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kN6WbM.html" rel="bookmark" class="title">程序员为什么要时刻保持危机感？</a>
					<div>
						原文出处: 尹荣乔 十一回来,第一天上班,领导找我说,你的人都划入各个事业部,管理权也都放在各事业部,于是我就成了一个光杆司令,后续未知. 小组是个技术团队,现有10人左右,承接着公司各个事业部的技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyBPRe0.html" rel="bookmark" class="title">oracle多表连接</a>
					<div>
						Oracle表连接 SQL/Oracle使用表连接从多个表中查询数据 语法格式: select 字段列表from table1,table2where table1.column1=table2.co ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
